<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.frame.mapper.auto.InputoroutputspeedtotalMapper">
  <resultMap id="BaseResultMap" type="com.gyee.frame.model.auto.Inputoroutputspeedtotal">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <id column="ID" jdbcType="INTEGER" property="id" />
    <result column="WINDTURBINEID" jdbcType="VARCHAR" property="windturbineid" />
    <result column="RECORDDATE" jdbcType="TIMESTAMP" property="recorddate" />
    <result column="DAYINPUTSMALL" jdbcType="DECIMAL" property="dayinputsmall" />
    <result column="DAYINPUTSMALLMIN" jdbcType="DECIMAL" property="dayinputsmallmin" />
    <result column="DAYINPUTSMALLMAX" jdbcType="DECIMAL" property="dayinputsmallmax" />
    <result column="DAYINPUTBIG" jdbcType="DECIMAL" property="dayinputbig" />
    <result column="DAYINPUTBIGMIN" jdbcType="DECIMAL" property="dayinputbigmin" />
    <result column="DAYINPUTBIGMAX" jdbcType="DECIMAL" property="dayinputbigmax" />
    <result column="DAYOUTPUTSMALL" jdbcType="DECIMAL" property="dayoutputsmall" />
    <result column="DAYOUTPUTSMALLMIN" jdbcType="DECIMAL" property="dayoutputsmallmin" />
    <result column="DAYOUTPUTSMALLMAX" jdbcType="DECIMAL" property="dayoutputsmallmax" />
    <result column="DAYOUTPUTBIG" jdbcType="DECIMAL" property="dayoutputbig" />
    <result column="DAYOUTPUTBIGMIN" jdbcType="DECIMAL" property="dayoutputbigmin" />
    <result column="DAYOUTPUTBIGMAX" jdbcType="DECIMAL" property="dayoutputbigmax" />
    <result column="MONTHINPUTSMALL" jdbcType="DECIMAL" property="monthinputsmall" />
    <result column="MONTHINPUTSMALLMIN" jdbcType="DECIMAL" property="monthinputsmallmin" />
    <result column="MONTHINPUTSMALLMAX" jdbcType="DECIMAL" property="monthinputsmallmax" />
    <result column="MONTHINPUTBIG" jdbcType="DECIMAL" property="monthinputbig" />
    <result column="MONTHINPUTBIGMIN" jdbcType="DECIMAL" property="monthinputbigmin" />
    <result column="MONTHINPUTBIGMAX" jdbcType="DECIMAL" property="monthinputbigmax" />
    <result column="MONTHOUTPUTSMALL" jdbcType="DECIMAL" property="monthoutputsmall" />
    <result column="MONTHOUTPUTSMALLMIN" jdbcType="DECIMAL" property="monthoutputsmallmin" />
    <result column="MONTHOUTPUTSMALLMAX" jdbcType="DECIMAL" property="monthoutputsmallmax" />
    <result column="MONTHOUTPUTBIG" jdbcType="DECIMAL" property="monthoutputbig" />
    <result column="MONTHOUTPUTBIGMIN" jdbcType="DECIMAL" property="monthoutputbigmin" />
    <result column="MONTHOUTPUTBIGMAX" jdbcType="DECIMAL" property="monthoutputbigmax" />
    <result column="YEARINPUTSMALL" jdbcType="DECIMAL" property="yearinputsmall" />
    <result column="YEARINPUTSMALLMIN" jdbcType="DECIMAL" property="yearinputsmallmin" />
    <result column="YEARINPUTSMALLMAX" jdbcType="DECIMAL" property="yearinputsmallmax" />
    <result column="YEARINPUTBIG" jdbcType="DECIMAL" property="yearinputbig" />
    <result column="YEARINPUTBIGMIN" jdbcType="DECIMAL" property="yearinputbigmin" />
    <result column="YEARINPUTBIGMAX" jdbcType="DECIMAL" property="yearinputbigmax" />
    <result column="YEAROUTPUTSMALL" jdbcType="DECIMAL" property="yearoutputsmall" />
    <result column="YEAROUTPUTSMALLMIN" jdbcType="DECIMAL" property="yearoutputsmallmin" />
    <result column="YEAROUTPUTSMALLMAX" jdbcType="DECIMAL" property="yearoutputsmallmax" />
    <result column="YEAROUTPUTBIG" jdbcType="DECIMAL" property="yearoutputbig" />
    <result column="YEAROUTPUTBIGMIN" jdbcType="DECIMAL" property="yearoutputbigmin" />
    <result column="YEAROUTPUTBIGMAX" jdbcType="DECIMAL" property="yearoutputbigmax" />
    <result column="INPUTSMALL" jdbcType="DECIMAL" property="inputsmall" />
    <result column="INPUTSMALLMIN" jdbcType="DECIMAL" property="inputsmallmin" />
    <result column="INPUTSMALLMAX" jdbcType="DECIMAL" property="inputsmallmax" />
    <result column="INPUTBIG" jdbcType="DECIMAL" property="inputbig" />
    <result column="INPUTBIGMIN" jdbcType="DECIMAL" property="inputbigmin" />
    <result column="INPUTBIGMAX" jdbcType="DECIMAL" property="inputbigmax" />
    <result column="OUTPUTSMALL" jdbcType="DECIMAL" property="outputsmall" />
    <result column="OUTPUTSMALLMIN" jdbcType="DECIMAL" property="outputsmallmin" />
    <result column="OUTPUTSMALLMAX" jdbcType="DECIMAL" property="outputsmallmax" />
    <result column="OUTPUTBIG" jdbcType="DECIMAL" property="outputbig" />
    <result column="OUTPUTBIGMIN" jdbcType="DECIMAL" property="outputbigmin" />
    <result column="OUTPUTBIGMAX" jdbcType="DECIMAL" property="outputbigmax" />
    <result column="DAYINPUTSMALLRATIO" jdbcType="DECIMAL" property="dayinputsmallratio" />
    <result column="DAYOUTPUTSMALLRATIO" jdbcType="DECIMAL" property="dayoutputsmallratio" />
    <result column="DAYINPUTBIGRATIO" jdbcType="DECIMAL" property="dayinputbigratio" />
    <result column="DAYOUTPUTBIGRATIO" jdbcType="DECIMAL" property="dayoutputbigratio" />
    <result column="MONTHINPUTSMALLRATIO" jdbcType="DECIMAL" property="monthinputsmallratio" />
    <result column="MONTHOUTPUTSMALLRATIO" jdbcType="DECIMAL" property="monthoutputsmallratio" />
    <result column="MONTHINPUTBIGRATIO" jdbcType="DECIMAL" property="monthinputbigratio" />
    <result column="MONTHOUTPUTBIGRATIO" jdbcType="DECIMAL" property="monthoutputbigratio" />
    <result column="YEARINPUTSMALLRATIO" jdbcType="DECIMAL" property="yearinputsmallratio" />
    <result column="YEAROUTPUTSMALLRATIO" jdbcType="DECIMAL" property="yearoutputsmallratio" />
    <result column="YEARINPUTBIGRATIO" jdbcType="DECIMAL" property="yearinputbigratio" />
    <result column="YEAROUTPUTBIGRATIO" jdbcType="DECIMAL" property="yearoutputbigratio" />
    <result column="INPUTSMALLRATIO" jdbcType="DECIMAL" property="inputsmallratio" />
    <result column="OUTPUTSMALLRATIO" jdbcType="DECIMAL" property="outputsmallratio" />
    <result column="INPUTBIGRATIO" jdbcType="DECIMAL" property="inputbigratio" />
    <result column="OUTPUTBIGMAXRATIO" jdbcType="DECIMAL" property="outputbigmaxratio" />
    <result column="WINDPOWERSTATIONID" jdbcType="VARCHAR" property="windpowerstationid" />
    <result column="PROJECTID" jdbcType="VARCHAR" property="projectid" />
    <result column="LINEID" jdbcType="VARCHAR" property="lineid" />
  </resultMap>


  <sql id="Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Update_By_Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="example.oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    ID, WINDTURBINEID, RECORDDATE, DAYINPUTSMALL, DAYINPUTSMALLMIN, DAYINPUTSMALLMAX, 
    DAYINPUTBIG, DAYINPUTBIGMIN, DAYINPUTBIGMAX, DAYOUTPUTSMALL, DAYOUTPUTSMALLMIN, DAYOUTPUTSMALLMAX, 
    DAYOUTPUTBIG, DAYOUTPUTBIGMIN, DAYOUTPUTBIGMAX, MONTHINPUTSMALL, MONTHINPUTSMALLMIN, 
    MONTHINPUTSMALLMAX, MONTHINPUTBIG, MONTHINPUTBIGMIN, MONTHINPUTBIGMAX, MONTHOUTPUTSMALL, 
    MONTHOUTPUTSMALLMIN, MONTHOUTPUTSMALLMAX, MONTHOUTPUTBIG, MONTHOUTPUTBIGMIN, MONTHOUTPUTBIGMAX, 
    YEARINPUTSMALL, YEARINPUTSMALLMIN, YEARINPUTSMALLMAX, YEARINPUTBIG, YEARINPUTBIGMIN, 
    YEARINPUTBIGMAX, YEAROUTPUTSMALL, YEAROUTPUTSMALLMIN, YEAROUTPUTSMALLMAX, YEAROUTPUTBIG, 
    YEAROUTPUTBIGMIN, YEAROUTPUTBIGMAX, INPUTSMALL, INPUTSMALLMIN, INPUTSMALLMAX, INPUTBIG, 
    INPUTBIGMIN, INPUTBIGMAX, OUTPUTSMALL, OUTPUTSMALLMIN, OUTPUTSMALLMAX, OUTPUTBIG, 
    OUTPUTBIGMIN, OUTPUTBIGMAX, DAYINPUTSMALLRATIO, DAYOUTPUTSMALLRATIO, DAYINPUTBIGRATIO, 
    DAYOUTPUTBIGRATIO, MONTHINPUTSMALLRATIO, MONTHOUTPUTSMALLRATIO, MONTHINPUTBIGRATIO, 
    MONTHOUTPUTBIGRATIO, YEARINPUTSMALLRATIO, YEAROUTPUTSMALLRATIO, YEARINPUTBIGRATIO, 
    YEAROUTPUTBIGRATIO, INPUTSMALLRATIO, OUTPUTSMALLRATIO, INPUTBIGRATIO, OUTPUTBIGMAXRATIO, 
    WINDPOWERSTATIONID, PROJECTID, LINEID
  </sql>
  <select id="selectByExample" parameterType="com.gyee.frame.model.auto.InputoroutputspeedtotalExample" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select
    <if test="distinct">
      distinct
    </if>
    <include refid="Base_Column_List" />
    from inputoroutputspeedtotal
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null">
      order by ${orderByClause}
    </if>
  </select>
  <select id="selectByPrimaryKey" parameterType="java.lang.Integer" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select 
    <include refid="Base_Column_List" />
    from inputoroutputspeedtotal
    where ID = #{id,jdbcType=INTEGER}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from inputoroutputspeedtotal
    where ID = #{id,jdbcType=INTEGER}
  </delete>
  <delete id="deleteByExample" parameterType="com.gyee.frame.model.auto.InputoroutputspeedtotalExample">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from inputoroutputspeedtotal
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </delete>
  <insert id="insert" parameterType="com.gyee.frame.model.auto.Inputoroutputspeedtotal">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into inputoroutputspeedtotal (ID, WINDTURBINEID, RECORDDATE, 
      DAYINPUTSMALL, DAYINPUTSMALLMIN, DAYINPUTSMALLMAX, 
      DAYINPUTBIG, DAYINPUTBIGMIN, DAYINPUTBIGMAX, 
      DAYOUTPUTSMALL, DAYOUTPUTSMALLMIN, DAYOUTPUTSMALLMAX, 
      DAYOUTPUTBIG, DAYOUTPUTBIGMIN, DAYOUTPUTBIGMAX, 
      MONTHINPUTSMALL, MONTHINPUTSMALLMIN, MONTHINPUTSMALLMAX, 
      MONTHINPUTBIG, MONTHINPUTBIGMIN, MONTHINPUTBIGMAX, 
      MONTHOUTPUTSMALL, MONTHOUTPUTSMALLMIN, 
      MONTHOUTPUTSMALLMAX, MONTHOUTPUTBIG, MONTHOUTPUTBIGMIN, 
      MONTHOUTPUTBIGMAX, YEARINPUTSMALL, YEARINPUTSMALLMIN, 
      YEARINPUTSMALLMAX, YEARINPUTBIG, YEARINPUTBIGMIN, 
      YEARINPUTBIGMAX, YEAROUTPUTSMALL, YEAROUTPUTSMALLMIN, 
      YEAROUTPUTSMALLMAX, YEAROUTPUTBIG, YEAROUTPUTBIGMIN, 
      YEAROUTPUTBIGMAX, INPUTSMALL, INPUTSMALLMIN, 
      INPUTSMALLMAX, INPUTBIG, INPUTBIGMIN, 
      INPUTBIGMAX, OUTPUTSMALL, OUTPUTSMALLMIN, 
      OUTPUTSMALLMAX, OUTPUTBIG, OUTPUTBIGMIN, 
      OUTPUTBIGMAX, DAYINPUTSMALLRATIO, DAYOUTPUTSMALLRATIO, 
      DAYINPUTBIGRATIO, DAYOUTPUTBIGRATIO, MONTHINPUTSMALLRATIO, 
      MONTHOUTPUTSMALLRATIO, MONTHINPUTBIGRATIO, 
      MONTHOUTPUTBIGRATIO, YEARINPUTSMALLRATIO, 
      YEAROUTPUTSMALLRATIO, YEARINPUTBIGRATIO, 
      YEAROUTPUTBIGRATIO, INPUTSMALLRATIO, OUTPUTSMALLRATIO, 
      INPUTBIGRATIO, OUTPUTBIGMAXRATIO, WINDPOWERSTATIONID, 
      PROJECTID, LINEID)
    values (#{id,jdbcType=INTEGER}, #{windturbineid,jdbcType=VARCHAR}, #{recorddate,jdbcType=TIMESTAMP}, 
      #{dayinputsmall,jdbcType=DECIMAL}, #{dayinputsmallmin,jdbcType=DECIMAL}, #{dayinputsmallmax,jdbcType=DECIMAL}, 
      #{dayinputbig,jdbcType=DECIMAL}, #{dayinputbigmin,jdbcType=DECIMAL}, #{dayinputbigmax,jdbcType=DECIMAL}, 
      #{dayoutputsmall,jdbcType=DECIMAL}, #{dayoutputsmallmin,jdbcType=DECIMAL}, #{dayoutputsmallmax,jdbcType=DECIMAL}, 
      #{dayoutputbig,jdbcType=DECIMAL}, #{dayoutputbigmin,jdbcType=DECIMAL}, #{dayoutputbigmax,jdbcType=DECIMAL}, 
      #{monthinputsmall,jdbcType=DECIMAL}, #{monthinputsmallmin,jdbcType=DECIMAL}, #{monthinputsmallmax,jdbcType=DECIMAL}, 
      #{monthinputbig,jdbcType=DECIMAL}, #{monthinputbigmin,jdbcType=DECIMAL}, #{monthinputbigmax,jdbcType=DECIMAL}, 
      #{monthoutputsmall,jdbcType=DECIMAL}, #{monthoutputsmallmin,jdbcType=DECIMAL}, 
      #{monthoutputsmallmax,jdbcType=DECIMAL}, #{monthoutputbig,jdbcType=DECIMAL}, #{monthoutputbigmin,jdbcType=DECIMAL}, 
      #{monthoutputbigmax,jdbcType=DECIMAL}, #{yearinputsmall,jdbcType=DECIMAL}, #{yearinputsmallmin,jdbcType=DECIMAL}, 
      #{yearinputsmallmax,jdbcType=DECIMAL}, #{yearinputbig,jdbcType=DECIMAL}, #{yearinputbigmin,jdbcType=DECIMAL}, 
      #{yearinputbigmax,jdbcType=DECIMAL}, #{yearoutputsmall,jdbcType=DECIMAL}, #{yearoutputsmallmin,jdbcType=DECIMAL}, 
      #{yearoutputsmallmax,jdbcType=DECIMAL}, #{yearoutputbig,jdbcType=DECIMAL}, #{yearoutputbigmin,jdbcType=DECIMAL}, 
      #{yearoutputbigmax,jdbcType=DECIMAL}, #{inputsmall,jdbcType=DECIMAL}, #{inputsmallmin,jdbcType=DECIMAL}, 
      #{inputsmallmax,jdbcType=DECIMAL}, #{inputbig,jdbcType=DECIMAL}, #{inputbigmin,jdbcType=DECIMAL}, 
      #{inputbigmax,jdbcType=DECIMAL}, #{outputsmall,jdbcType=DECIMAL}, #{outputsmallmin,jdbcType=DECIMAL}, 
      #{outputsmallmax,jdbcType=DECIMAL}, #{outputbig,jdbcType=DECIMAL}, #{outputbigmin,jdbcType=DECIMAL}, 
      #{outputbigmax,jdbcType=DECIMAL}, #{dayinputsmallratio,jdbcType=DECIMAL}, #{dayoutputsmallratio,jdbcType=DECIMAL}, 
      #{dayinputbigratio,jdbcType=DECIMAL}, #{dayoutputbigratio,jdbcType=DECIMAL}, #{monthinputsmallratio,jdbcType=DECIMAL}, 
      #{monthoutputsmallratio,jdbcType=DECIMAL}, #{monthinputbigratio,jdbcType=DECIMAL}, 
      #{monthoutputbigratio,jdbcType=DECIMAL}, #{yearinputsmallratio,jdbcType=DECIMAL}, 
      #{yearoutputsmallratio,jdbcType=DECIMAL}, #{yearinputbigratio,jdbcType=DECIMAL}, 
      #{yearoutputbigratio,jdbcType=DECIMAL}, #{inputsmallratio,jdbcType=DECIMAL}, #{outputsmallratio,jdbcType=DECIMAL}, 
      #{inputbigratio,jdbcType=DECIMAL}, #{outputbigmaxratio,jdbcType=DECIMAL}, #{windpowerstationid,jdbcType=VARCHAR}, 
      #{projectid,jdbcType=VARCHAR}, #{lineid,jdbcType=VARCHAR})
  </insert>
  <insert id="insertSelective" parameterType="com.gyee.frame.model.auto.Inputoroutputspeedtotal">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into inputoroutputspeedtotal
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        ID,
      </if>
      <if test="windturbineid != null">
        WINDTURBINEID,
      </if>
      <if test="recorddate != null">
        RECORDDATE,
      </if>
      <if test="dayinputsmall != null">
        DAYINPUTSMALL,
      </if>
      <if test="dayinputsmallmin != null">
        DAYINPUTSMALLMIN,
      </if>
      <if test="dayinputsmallmax != null">
        DAYINPUTSMALLMAX,
      </if>
      <if test="dayinputbig != null">
        DAYINPUTBIG,
      </if>
      <if test="dayinputbigmin != null">
        DAYINPUTBIGMIN,
      </if>
      <if test="dayinputbigmax != null">
        DAYINPUTBIGMAX,
      </if>
      <if test="dayoutputsmall != null">
        DAYOUTPUTSMALL,
      </if>
      <if test="dayoutputsmallmin != null">
        DAYOUTPUTSMALLMIN,
      </if>
      <if test="dayoutputsmallmax != null">
        DAYOUTPUTSMALLMAX,
      </if>
      <if test="dayoutputbig != null">
        DAYOUTPUTBIG,
      </if>
      <if test="dayoutputbigmin != null">
        DAYOUTPUTBIGMIN,
      </if>
      <if test="dayoutputbigmax != null">
        DAYOUTPUTBIGMAX,
      </if>
      <if test="monthinputsmall != null">
        MONTHINPUTSMALL,
      </if>
      <if test="monthinputsmallmin != null">
        MONTHINPUTSMALLMIN,
      </if>
      <if test="monthinputsmallmax != null">
        MONTHINPUTSMALLMAX,
      </if>
      <if test="monthinputbig != null">
        MONTHINPUTBIG,
      </if>
      <if test="monthinputbigmin != null">
        MONTHINPUTBIGMIN,
      </if>
      <if test="monthinputbigmax != null">
        MONTHINPUTBIGMAX,
      </if>
      <if test="monthoutputsmall != null">
        MONTHOUTPUTSMALL,
      </if>
      <if test="monthoutputsmallmin != null">
        MONTHOUTPUTSMALLMIN,
      </if>
      <if test="monthoutputsmallmax != null">
        MONTHOUTPUTSMALLMAX,
      </if>
      <if test="monthoutputbig != null">
        MONTHOUTPUTBIG,
      </if>
      <if test="monthoutputbigmin != null">
        MONTHOUTPUTBIGMIN,
      </if>
      <if test="monthoutputbigmax != null">
        MONTHOUTPUTBIGMAX,
      </if>
      <if test="yearinputsmall != null">
        YEARINPUTSMALL,
      </if>
      <if test="yearinputsmallmin != null">
        YEARINPUTSMALLMIN,
      </if>
      <if test="yearinputsmallmax != null">
        YEARINPUTSMALLMAX,
      </if>
      <if test="yearinputbig != null">
        YEARINPUTBIG,
      </if>
      <if test="yearinputbigmin != null">
        YEARINPUTBIGMIN,
      </if>
      <if test="yearinputbigmax != null">
        YEARINPUTBIGMAX,
      </if>
      <if test="yearoutputsmall != null">
        YEAROUTPUTSMALL,
      </if>
      <if test="yearoutputsmallmin != null">
        YEAROUTPUTSMALLMIN,
      </if>
      <if test="yearoutputsmallmax != null">
        YEAROUTPUTSMALLMAX,
      </if>
      <if test="yearoutputbig != null">
        YEAROUTPUTBIG,
      </if>
      <if test="yearoutputbigmin != null">
        YEAROUTPUTBIGMIN,
      </if>
      <if test="yearoutputbigmax != null">
        YEAROUTPUTBIGMAX,
      </if>
      <if test="inputsmall != null">
        INPUTSMALL,
      </if>
      <if test="inputsmallmin != null">
        INPUTSMALLMIN,
      </if>
      <if test="inputsmallmax != null">
        INPUTSMALLMAX,
      </if>
      <if test="inputbig != null">
        INPUTBIG,
      </if>
      <if test="inputbigmin != null">
        INPUTBIGMIN,
      </if>
      <if test="inputbigmax != null">
        INPUTBIGMAX,
      </if>
      <if test="outputsmall != null">
        OUTPUTSMALL,
      </if>
      <if test="outputsmallmin != null">
        OUTPUTSMALLMIN,
      </if>
      <if test="outputsmallmax != null">
        OUTPUTSMALLMAX,
      </if>
      <if test="outputbig != null">
        OUTPUTBIG,
      </if>
      <if test="outputbigmin != null">
        OUTPUTBIGMIN,
      </if>
      <if test="outputbigmax != null">
        OUTPUTBIGMAX,
      </if>
      <if test="dayinputsmallratio != null">
        DAYINPUTSMALLRATIO,
      </if>
      <if test="dayoutputsmallratio != null">
        DAYOUTPUTSMALLRATIO,
      </if>
      <if test="dayinputbigratio != null">
        DAYINPUTBIGRATIO,
      </if>
      <if test="dayoutputbigratio != null">
        DAYOUTPUTBIGRATIO,
      </if>
      <if test="monthinputsmallratio != null">
        MONTHINPUTSMALLRATIO,
      </if>
      <if test="monthoutputsmallratio != null">
        MONTHOUTPUTSMALLRATIO,
      </if>
      <if test="monthinputbigratio != null">
        MONTHINPUTBIGRATIO,
      </if>
      <if test="monthoutputbigratio != null">
        MONTHOUTPUTBIGRATIO,
      </if>
      <if test="yearinputsmallratio != null">
        YEARINPUTSMALLRATIO,
      </if>
      <if test="yearoutputsmallratio != null">
        YEAROUTPUTSMALLRATIO,
      </if>
      <if test="yearinputbigratio != null">
        YEARINPUTBIGRATIO,
      </if>
      <if test="yearoutputbigratio != null">
        YEAROUTPUTBIGRATIO,
      </if>
      <if test="inputsmallratio != null">
        INPUTSMALLRATIO,
      </if>
      <if test="outputsmallratio != null">
        OUTPUTSMALLRATIO,
      </if>
      <if test="inputbigratio != null">
        INPUTBIGRATIO,
      </if>
      <if test="outputbigmaxratio != null">
        OUTPUTBIGMAXRATIO,
      </if>
      <if test="windpowerstationid != null">
        WINDPOWERSTATIONID,
      </if>
      <if test="projectid != null">
        PROJECTID,
      </if>
      <if test="lineid != null">
        LINEID,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="id != null">
        #{id,jdbcType=INTEGER},
      </if>
      <if test="windturbineid != null">
        #{windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="recorddate != null">
        #{recorddate,jdbcType=TIMESTAMP},
      </if>
      <if test="dayinputsmall != null">
        #{dayinputsmall,jdbcType=DECIMAL},
      </if>
      <if test="dayinputsmallmin != null">
        #{dayinputsmallmin,jdbcType=DECIMAL},
      </if>
      <if test="dayinputsmallmax != null">
        #{dayinputsmallmax,jdbcType=DECIMAL},
      </if>
      <if test="dayinputbig != null">
        #{dayinputbig,jdbcType=DECIMAL},
      </if>
      <if test="dayinputbigmin != null">
        #{dayinputbigmin,jdbcType=DECIMAL},
      </if>
      <if test="dayinputbigmax != null">
        #{dayinputbigmax,jdbcType=DECIMAL},
      </if>
      <if test="dayoutputsmall != null">
        #{dayoutputsmall,jdbcType=DECIMAL},
      </if>
      <if test="dayoutputsmallmin != null">
        #{dayoutputsmallmin,jdbcType=DECIMAL},
      </if>
      <if test="dayoutputsmallmax != null">
        #{dayoutputsmallmax,jdbcType=DECIMAL},
      </if>
      <if test="dayoutputbig != null">
        #{dayoutputbig,jdbcType=DECIMAL},
      </if>
      <if test="dayoutputbigmin != null">
        #{dayoutputbigmin,jdbcType=DECIMAL},
      </if>
      <if test="dayoutputbigmax != null">
        #{dayoutputbigmax,jdbcType=DECIMAL},
      </if>
      <if test="monthinputsmall != null">
        #{monthinputsmall,jdbcType=DECIMAL},
      </if>
      <if test="monthinputsmallmin != null">
        #{monthinputsmallmin,jdbcType=DECIMAL},
      </if>
      <if test="monthinputsmallmax != null">
        #{monthinputsmallmax,jdbcType=DECIMAL},
      </if>
      <if test="monthinputbig != null">
        #{monthinputbig,jdbcType=DECIMAL},
      </if>
      <if test="monthinputbigmin != null">
        #{monthinputbigmin,jdbcType=DECIMAL},
      </if>
      <if test="monthinputbigmax != null">
        #{monthinputbigmax,jdbcType=DECIMAL},
      </if>
      <if test="monthoutputsmall != null">
        #{monthoutputsmall,jdbcType=DECIMAL},
      </if>
      <if test="monthoutputsmallmin != null">
        #{monthoutputsmallmin,jdbcType=DECIMAL},
      </if>
      <if test="monthoutputsmallmax != null">
        #{monthoutputsmallmax,jdbcType=DECIMAL},
      </if>
      <if test="monthoutputbig != null">
        #{monthoutputbig,jdbcType=DECIMAL},
      </if>
      <if test="monthoutputbigmin != null">
        #{monthoutputbigmin,jdbcType=DECIMAL},
      </if>
      <if test="monthoutputbigmax != null">
        #{monthoutputbigmax,jdbcType=DECIMAL},
      </if>
      <if test="yearinputsmall != null">
        #{yearinputsmall,jdbcType=DECIMAL},
      </if>
      <if test="yearinputsmallmin != null">
        #{yearinputsmallmin,jdbcType=DECIMAL},
      </if>
      <if test="yearinputsmallmax != null">
        #{yearinputsmallmax,jdbcType=DECIMAL},
      </if>
      <if test="yearinputbig != null">
        #{yearinputbig,jdbcType=DECIMAL},
      </if>
      <if test="yearinputbigmin != null">
        #{yearinputbigmin,jdbcType=DECIMAL},
      </if>
      <if test="yearinputbigmax != null">
        #{yearinputbigmax,jdbcType=DECIMAL},
      </if>
      <if test="yearoutputsmall != null">
        #{yearoutputsmall,jdbcType=DECIMAL},
      </if>
      <if test="yearoutputsmallmin != null">
        #{yearoutputsmallmin,jdbcType=DECIMAL},
      </if>
      <if test="yearoutputsmallmax != null">
        #{yearoutputsmallmax,jdbcType=DECIMAL},
      </if>
      <if test="yearoutputbig != null">
        #{yearoutputbig,jdbcType=DECIMAL},
      </if>
      <if test="yearoutputbigmin != null">
        #{yearoutputbigmin,jdbcType=DECIMAL},
      </if>
      <if test="yearoutputbigmax != null">
        #{yearoutputbigmax,jdbcType=DECIMAL},
      </if>
      <if test="inputsmall != null">
        #{inputsmall,jdbcType=DECIMAL},
      </if>
      <if test="inputsmallmin != null">
        #{inputsmallmin,jdbcType=DECIMAL},
      </if>
      <if test="inputsmallmax != null">
        #{inputsmallmax,jdbcType=DECIMAL},
      </if>
      <if test="inputbig != null">
        #{inputbig,jdbcType=DECIMAL},
      </if>
      <if test="inputbigmin != null">
        #{inputbigmin,jdbcType=DECIMAL},
      </if>
      <if test="inputbigmax != null">
        #{inputbigmax,jdbcType=DECIMAL},
      </if>
      <if test="outputsmall != null">
        #{outputsmall,jdbcType=DECIMAL},
      </if>
      <if test="outputsmallmin != null">
        #{outputsmallmin,jdbcType=DECIMAL},
      </if>
      <if test="outputsmallmax != null">
        #{outputsmallmax,jdbcType=DECIMAL},
      </if>
      <if test="outputbig != null">
        #{outputbig,jdbcType=DECIMAL},
      </if>
      <if test="outputbigmin != null">
        #{outputbigmin,jdbcType=DECIMAL},
      </if>
      <if test="outputbigmax != null">
        #{outputbigmax,jdbcType=DECIMAL},
      </if>
      <if test="dayinputsmallratio != null">
        #{dayinputsmallratio,jdbcType=DECIMAL},
      </if>
      <if test="dayoutputsmallratio != null">
        #{dayoutputsmallratio,jdbcType=DECIMAL},
      </if>
      <if test="dayinputbigratio != null">
        #{dayinputbigratio,jdbcType=DECIMAL},
      </if>
      <if test="dayoutputbigratio != null">
        #{dayoutputbigratio,jdbcType=DECIMAL},
      </if>
      <if test="monthinputsmallratio != null">
        #{monthinputsmallratio,jdbcType=DECIMAL},
      </if>
      <if test="monthoutputsmallratio != null">
        #{monthoutputsmallratio,jdbcType=DECIMAL},
      </if>
      <if test="monthinputbigratio != null">
        #{monthinputbigratio,jdbcType=DECIMAL},
      </if>
      <if test="monthoutputbigratio != null">
        #{monthoutputbigratio,jdbcType=DECIMAL},
      </if>
      <if test="yearinputsmallratio != null">
        #{yearinputsmallratio,jdbcType=DECIMAL},
      </if>
      <if test="yearoutputsmallratio != null">
        #{yearoutputsmallratio,jdbcType=DECIMAL},
      </if>
      <if test="yearinputbigratio != null">
        #{yearinputbigratio,jdbcType=DECIMAL},
      </if>
      <if test="yearoutputbigratio != null">
        #{yearoutputbigratio,jdbcType=DECIMAL},
      </if>
      <if test="inputsmallratio != null">
        #{inputsmallratio,jdbcType=DECIMAL},
      </if>
      <if test="outputsmallratio != null">
        #{outputsmallratio,jdbcType=DECIMAL},
      </if>
      <if test="inputbigratio != null">
        #{inputbigratio,jdbcType=DECIMAL},
      </if>
      <if test="outputbigmaxratio != null">
        #{outputbigmaxratio,jdbcType=DECIMAL},
      </if>
      <if test="windpowerstationid != null">
        #{windpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="projectid != null">
        #{projectid,jdbcType=VARCHAR},
      </if>
      <if test="lineid != null">
        #{lineid,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
  <select id="countByExample" parameterType="com.gyee.frame.model.auto.InputoroutputspeedtotalExample" resultType="java.lang.Long">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select count(*) from inputoroutputspeedtotal
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </select>
  <update id="updateByExampleSelective" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update inputoroutputspeedtotal
    <set>
      <if test="record.id != null">
        ID = #{record.id,jdbcType=INTEGER},
      </if>
      <if test="record.windturbineid != null">
        WINDTURBINEID = #{record.windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="record.recorddate != null">
        RECORDDATE = #{record.recorddate,jdbcType=TIMESTAMP},
      </if>
      <if test="record.dayinputsmall != null">
        DAYINPUTSMALL = #{record.dayinputsmall,jdbcType=DECIMAL},
      </if>
      <if test="record.dayinputsmallmin != null">
        DAYINPUTSMALLMIN = #{record.dayinputsmallmin,jdbcType=DECIMAL},
      </if>
      <if test="record.dayinputsmallmax != null">
        DAYINPUTSMALLMAX = #{record.dayinputsmallmax,jdbcType=DECIMAL},
      </if>
      <if test="record.dayinputbig != null">
        DAYINPUTBIG = #{record.dayinputbig,jdbcType=DECIMAL},
      </if>
      <if test="record.dayinputbigmin != null">
        DAYINPUTBIGMIN = #{record.dayinputbigmin,jdbcType=DECIMAL},
      </if>
      <if test="record.dayinputbigmax != null">
        DAYINPUTBIGMAX = #{record.dayinputbigmax,jdbcType=DECIMAL},
      </if>
      <if test="record.dayoutputsmall != null">
        DAYOUTPUTSMALL = #{record.dayoutputsmall,jdbcType=DECIMAL},
      </if>
      <if test="record.dayoutputsmallmin != null">
        DAYOUTPUTSMALLMIN = #{record.dayoutputsmallmin,jdbcType=DECIMAL},
      </if>
      <if test="record.dayoutputsmallmax != null">
        DAYOUTPUTSMALLMAX = #{record.dayoutputsmallmax,jdbcType=DECIMAL},
      </if>
      <if test="record.dayoutputbig != null">
        DAYOUTPUTBIG = #{record.dayoutputbig,jdbcType=DECIMAL},
      </if>
      <if test="record.dayoutputbigmin != null">
        DAYOUTPUTBIGMIN = #{record.dayoutputbigmin,jdbcType=DECIMAL},
      </if>
      <if test="record.dayoutputbigmax != null">
        DAYOUTPUTBIGMAX = #{record.dayoutputbigmax,jdbcType=DECIMAL},
      </if>
      <if test="record.monthinputsmall != null">
        MONTHINPUTSMALL = #{record.monthinputsmall,jdbcType=DECIMAL},
      </if>
      <if test="record.monthinputsmallmin != null">
        MONTHINPUTSMALLMIN = #{record.monthinputsmallmin,jdbcType=DECIMAL},
      </if>
      <if test="record.monthinputsmallmax != null">
        MONTHINPUTSMALLMAX = #{record.monthinputsmallmax,jdbcType=DECIMAL},
      </if>
      <if test="record.monthinputbig != null">
        MONTHINPUTBIG = #{record.monthinputbig,jdbcType=DECIMAL},
      </if>
      <if test="record.monthinputbigmin != null">
        MONTHINPUTBIGMIN = #{record.monthinputbigmin,jdbcType=DECIMAL},
      </if>
      <if test="record.monthinputbigmax != null">
        MONTHINPUTBIGMAX = #{record.monthinputbigmax,jdbcType=DECIMAL},
      </if>
      <if test="record.monthoutputsmall != null">
        MONTHOUTPUTSMALL = #{record.monthoutputsmall,jdbcType=DECIMAL},
      </if>
      <if test="record.monthoutputsmallmin != null">
        MONTHOUTPUTSMALLMIN = #{record.monthoutputsmallmin,jdbcType=DECIMAL},
      </if>
      <if test="record.monthoutputsmallmax != null">
        MONTHOUTPUTSMALLMAX = #{record.monthoutputsmallmax,jdbcType=DECIMAL},
      </if>
      <if test="record.monthoutputbig != null">
        MONTHOUTPUTBIG = #{record.monthoutputbig,jdbcType=DECIMAL},
      </if>
      <if test="record.monthoutputbigmin != null">
        MONTHOUTPUTBIGMIN = #{record.monthoutputbigmin,jdbcType=DECIMAL},
      </if>
      <if test="record.monthoutputbigmax != null">
        MONTHOUTPUTBIGMAX = #{record.monthoutputbigmax,jdbcType=DECIMAL},
      </if>
      <if test="record.yearinputsmall != null">
        YEARINPUTSMALL = #{record.yearinputsmall,jdbcType=DECIMAL},
      </if>
      <if test="record.yearinputsmallmin != null">
        YEARINPUTSMALLMIN = #{record.yearinputsmallmin,jdbcType=DECIMAL},
      </if>
      <if test="record.yearinputsmallmax != null">
        YEARINPUTSMALLMAX = #{record.yearinputsmallmax,jdbcType=DECIMAL},
      </if>
      <if test="record.yearinputbig != null">
        YEARINPUTBIG = #{record.yearinputbig,jdbcType=DECIMAL},
      </if>
      <if test="record.yearinputbigmin != null">
        YEARINPUTBIGMIN = #{record.yearinputbigmin,jdbcType=DECIMAL},
      </if>
      <if test="record.yearinputbigmax != null">
        YEARINPUTBIGMAX = #{record.yearinputbigmax,jdbcType=DECIMAL},
      </if>
      <if test="record.yearoutputsmall != null">
        YEAROUTPUTSMALL = #{record.yearoutputsmall,jdbcType=DECIMAL},
      </if>
      <if test="record.yearoutputsmallmin != null">
        YEAROUTPUTSMALLMIN = #{record.yearoutputsmallmin,jdbcType=DECIMAL},
      </if>
      <if test="record.yearoutputsmallmax != null">
        YEAROUTPUTSMALLMAX = #{record.yearoutputsmallmax,jdbcType=DECIMAL},
      </if>
      <if test="record.yearoutputbig != null">
        YEAROUTPUTBIG = #{record.yearoutputbig,jdbcType=DECIMAL},
      </if>
      <if test="record.yearoutputbigmin != null">
        YEAROUTPUTBIGMIN = #{record.yearoutputbigmin,jdbcType=DECIMAL},
      </if>
      <if test="record.yearoutputbigmax != null">
        YEAROUTPUTBIGMAX = #{record.yearoutputbigmax,jdbcType=DECIMAL},
      </if>
      <if test="record.inputsmall != null">
        INPUTSMALL = #{record.inputsmall,jdbcType=DECIMAL},
      </if>
      <if test="record.inputsmallmin != null">
        INPUTSMALLMIN = #{record.inputsmallmin,jdbcType=DECIMAL},
      </if>
      <if test="record.inputsmallmax != null">
        INPUTSMALLMAX = #{record.inputsmallmax,jdbcType=DECIMAL},
      </if>
      <if test="record.inputbig != null">
        INPUTBIG = #{record.inputbig,jdbcType=DECIMAL},
      </if>
      <if test="record.inputbigmin != null">
        INPUTBIGMIN = #{record.inputbigmin,jdbcType=DECIMAL},
      </if>
      <if test="record.inputbigmax != null">
        INPUTBIGMAX = #{record.inputbigmax,jdbcType=DECIMAL},
      </if>
      <if test="record.outputsmall != null">
        OUTPUTSMALL = #{record.outputsmall,jdbcType=DECIMAL},
      </if>
      <if test="record.outputsmallmin != null">
        OUTPUTSMALLMIN = #{record.outputsmallmin,jdbcType=DECIMAL},
      </if>
      <if test="record.outputsmallmax != null">
        OUTPUTSMALLMAX = #{record.outputsmallmax,jdbcType=DECIMAL},
      </if>
      <if test="record.outputbig != null">
        OUTPUTBIG = #{record.outputbig,jdbcType=DECIMAL},
      </if>
      <if test="record.outputbigmin != null">
        OUTPUTBIGMIN = #{record.outputbigmin,jdbcType=DECIMAL},
      </if>
      <if test="record.outputbigmax != null">
        OUTPUTBIGMAX = #{record.outputbigmax,jdbcType=DECIMAL},
      </if>
      <if test="record.dayinputsmallratio != null">
        DAYINPUTSMALLRATIO = #{record.dayinputsmallratio,jdbcType=DECIMAL},
      </if>
      <if test="record.dayoutputsmallratio != null">
        DAYOUTPUTSMALLRATIO = #{record.dayoutputsmallratio,jdbcType=DECIMAL},
      </if>
      <if test="record.dayinputbigratio != null">
        DAYINPUTBIGRATIO = #{record.dayinputbigratio,jdbcType=DECIMAL},
      </if>
      <if test="record.dayoutputbigratio != null">
        DAYOUTPUTBIGRATIO = #{record.dayoutputbigratio,jdbcType=DECIMAL},
      </if>
      <if test="record.monthinputsmallratio != null">
        MONTHINPUTSMALLRATIO = #{record.monthinputsmallratio,jdbcType=DECIMAL},
      </if>
      <if test="record.monthoutputsmallratio != null">
        MONTHOUTPUTSMALLRATIO = #{record.monthoutputsmallratio,jdbcType=DECIMAL},
      </if>
      <if test="record.monthinputbigratio != null">
        MONTHINPUTBIGRATIO = #{record.monthinputbigratio,jdbcType=DECIMAL},
      </if>
      <if test="record.monthoutputbigratio != null">
        MONTHOUTPUTBIGRATIO = #{record.monthoutputbigratio,jdbcType=DECIMAL},
      </if>
      <if test="record.yearinputsmallratio != null">
        YEARINPUTSMALLRATIO = #{record.yearinputsmallratio,jdbcType=DECIMAL},
      </if>
      <if test="record.yearoutputsmallratio != null">
        YEAROUTPUTSMALLRATIO = #{record.yearoutputsmallratio,jdbcType=DECIMAL},
      </if>
      <if test="record.yearinputbigratio != null">
        YEARINPUTBIGRATIO = #{record.yearinputbigratio,jdbcType=DECIMAL},
      </if>
      <if test="record.yearoutputbigratio != null">
        YEAROUTPUTBIGRATIO = #{record.yearoutputbigratio,jdbcType=DECIMAL},
      </if>
      <if test="record.inputsmallratio != null">
        INPUTSMALLRATIO = #{record.inputsmallratio,jdbcType=DECIMAL},
      </if>
      <if test="record.outputsmallratio != null">
        OUTPUTSMALLRATIO = #{record.outputsmallratio,jdbcType=DECIMAL},
      </if>
      <if test="record.inputbigratio != null">
        INPUTBIGRATIO = #{record.inputbigratio,jdbcType=DECIMAL},
      </if>
      <if test="record.outputbigmaxratio != null">
        OUTPUTBIGMAXRATIO = #{record.outputbigmaxratio,jdbcType=DECIMAL},
      </if>
      <if test="record.windpowerstationid != null">
        WINDPOWERSTATIONID = #{record.windpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="record.projectid != null">
        PROJECTID = #{record.projectid,jdbcType=VARCHAR},
      </if>
      <if test="record.lineid != null">
        LINEID = #{record.lineid,jdbcType=VARCHAR},
      </if>
    </set>
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByExample" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update inputoroutputspeedtotal
    set ID = #{record.id,jdbcType=INTEGER},
      WINDTURBINEID = #{record.windturbineid,jdbcType=VARCHAR},
      RECORDDATE = #{record.recorddate,jdbcType=TIMESTAMP},
      DAYINPUTSMALL = #{record.dayinputsmall,jdbcType=DECIMAL},
      DAYINPUTSMALLMIN = #{record.dayinputsmallmin,jdbcType=DECIMAL},
      DAYINPUTSMALLMAX = #{record.dayinputsmallmax,jdbcType=DECIMAL},
      DAYINPUTBIG = #{record.dayinputbig,jdbcType=DECIMAL},
      DAYINPUTBIGMIN = #{record.dayinputbigmin,jdbcType=DECIMAL},
      DAYINPUTBIGMAX = #{record.dayinputbigmax,jdbcType=DECIMAL},
      DAYOUTPUTSMALL = #{record.dayoutputsmall,jdbcType=DECIMAL},
      DAYOUTPUTSMALLMIN = #{record.dayoutputsmallmin,jdbcType=DECIMAL},
      DAYOUTPUTSMALLMAX = #{record.dayoutputsmallmax,jdbcType=DECIMAL},
      DAYOUTPUTBIG = #{record.dayoutputbig,jdbcType=DECIMAL},
      DAYOUTPUTBIGMIN = #{record.dayoutputbigmin,jdbcType=DECIMAL},
      DAYOUTPUTBIGMAX = #{record.dayoutputbigmax,jdbcType=DECIMAL},
      MONTHINPUTSMALL = #{record.monthinputsmall,jdbcType=DECIMAL},
      MONTHINPUTSMALLMIN = #{record.monthinputsmallmin,jdbcType=DECIMAL},
      MONTHINPUTSMALLMAX = #{record.monthinputsmallmax,jdbcType=DECIMAL},
      MONTHINPUTBIG = #{record.monthinputbig,jdbcType=DECIMAL},
      MONTHINPUTBIGMIN = #{record.monthinputbigmin,jdbcType=DECIMAL},
      MONTHINPUTBIGMAX = #{record.monthinputbigmax,jdbcType=DECIMAL},
      MONTHOUTPUTSMALL = #{record.monthoutputsmall,jdbcType=DECIMAL},
      MONTHOUTPUTSMALLMIN = #{record.monthoutputsmallmin,jdbcType=DECIMAL},
      MONTHOUTPUTSMALLMAX = #{record.monthoutputsmallmax,jdbcType=DECIMAL},
      MONTHOUTPUTBIG = #{record.monthoutputbig,jdbcType=DECIMAL},
      MONTHOUTPUTBIGMIN = #{record.monthoutputbigmin,jdbcType=DECIMAL},
      MONTHOUTPUTBIGMAX = #{record.monthoutputbigmax,jdbcType=DECIMAL},
      YEARINPUTSMALL = #{record.yearinputsmall,jdbcType=DECIMAL},
      YEARINPUTSMALLMIN = #{record.yearinputsmallmin,jdbcType=DECIMAL},
      YEARINPUTSMALLMAX = #{record.yearinputsmallmax,jdbcType=DECIMAL},
      YEARINPUTBIG = #{record.yearinputbig,jdbcType=DECIMAL},
      YEARINPUTBIGMIN = #{record.yearinputbigmin,jdbcType=DECIMAL},
      YEARINPUTBIGMAX = #{record.yearinputbigmax,jdbcType=DECIMAL},
      YEAROUTPUTSMALL = #{record.yearoutputsmall,jdbcType=DECIMAL},
      YEAROUTPUTSMALLMIN = #{record.yearoutputsmallmin,jdbcType=DECIMAL},
      YEAROUTPUTSMALLMAX = #{record.yearoutputsmallmax,jdbcType=DECIMAL},
      YEAROUTPUTBIG = #{record.yearoutputbig,jdbcType=DECIMAL},
      YEAROUTPUTBIGMIN = #{record.yearoutputbigmin,jdbcType=DECIMAL},
      YEAROUTPUTBIGMAX = #{record.yearoutputbigmax,jdbcType=DECIMAL},
      INPUTSMALL = #{record.inputsmall,jdbcType=DECIMAL},
      INPUTSMALLMIN = #{record.inputsmallmin,jdbcType=DECIMAL},
      INPUTSMALLMAX = #{record.inputsmallmax,jdbcType=DECIMAL},
      INPUTBIG = #{record.inputbig,jdbcType=DECIMAL},
      INPUTBIGMIN = #{record.inputbigmin,jdbcType=DECIMAL},
      INPUTBIGMAX = #{record.inputbigmax,jdbcType=DECIMAL},
      OUTPUTSMALL = #{record.outputsmall,jdbcType=DECIMAL},
      OUTPUTSMALLMIN = #{record.outputsmallmin,jdbcType=DECIMAL},
      OUTPUTSMALLMAX = #{record.outputsmallmax,jdbcType=DECIMAL},
      OUTPUTBIG = #{record.outputbig,jdbcType=DECIMAL},
      OUTPUTBIGMIN = #{record.outputbigmin,jdbcType=DECIMAL},
      OUTPUTBIGMAX = #{record.outputbigmax,jdbcType=DECIMAL},
      DAYINPUTSMALLRATIO = #{record.dayinputsmallratio,jdbcType=DECIMAL},
      DAYOUTPUTSMALLRATIO = #{record.dayoutputsmallratio,jdbcType=DECIMAL},
      DAYINPUTBIGRATIO = #{record.dayinputbigratio,jdbcType=DECIMAL},
      DAYOUTPUTBIGRATIO = #{record.dayoutputbigratio,jdbcType=DECIMAL},
      MONTHINPUTSMALLRATIO = #{record.monthinputsmallratio,jdbcType=DECIMAL},
      MONTHOUTPUTSMALLRATIO = #{record.monthoutputsmallratio,jdbcType=DECIMAL},
      MONTHINPUTBIGRATIO = #{record.monthinputbigratio,jdbcType=DECIMAL},
      MONTHOUTPUTBIGRATIO = #{record.monthoutputbigratio,jdbcType=DECIMAL},
      YEARINPUTSMALLRATIO = #{record.yearinputsmallratio,jdbcType=DECIMAL},
      YEAROUTPUTSMALLRATIO = #{record.yearoutputsmallratio,jdbcType=DECIMAL},
      YEARINPUTBIGRATIO = #{record.yearinputbigratio,jdbcType=DECIMAL},
      YEAROUTPUTBIGRATIO = #{record.yearoutputbigratio,jdbcType=DECIMAL},
      INPUTSMALLRATIO = #{record.inputsmallratio,jdbcType=DECIMAL},
      OUTPUTSMALLRATIO = #{record.outputsmallratio,jdbcType=DECIMAL},
      INPUTBIGRATIO = #{record.inputbigratio,jdbcType=DECIMAL},
      OUTPUTBIGMAXRATIO = #{record.outputbigmaxratio,jdbcType=DECIMAL},
      WINDPOWERSTATIONID = #{record.windpowerstationid,jdbcType=VARCHAR},
      PROJECTID = #{record.projectid,jdbcType=VARCHAR},
      LINEID = #{record.lineid,jdbcType=VARCHAR}
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByPrimaryKeySelective" parameterType="com.gyee.frame.model.auto.Inputoroutputspeedtotal">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update inputoroutputspeedtotal
    <set>
      <if test="windturbineid != null">
        WINDTURBINEID = #{windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="recorddate != null">
        RECORDDATE = #{recorddate,jdbcType=TIMESTAMP},
      </if>
      <if test="dayinputsmall != null">
        DAYINPUTSMALL = #{dayinputsmall,jdbcType=DECIMAL},
      </if>
      <if test="dayinputsmallmin != null">
        DAYINPUTSMALLMIN = #{dayinputsmallmin,jdbcType=DECIMAL},
      </if>
      <if test="dayinputsmallmax != null">
        DAYINPUTSMALLMAX = #{dayinputsmallmax,jdbcType=DECIMAL},
      </if>
      <if test="dayinputbig != null">
        DAYINPUTBIG = #{dayinputbig,jdbcType=DECIMAL},
      </if>
      <if test="dayinputbigmin != null">
        DAYINPUTBIGMIN = #{dayinputbigmin,jdbcType=DECIMAL},
      </if>
      <if test="dayinputbigmax != null">
        DAYINPUTBIGMAX = #{dayinputbigmax,jdbcType=DECIMAL},
      </if>
      <if test="dayoutputsmall != null">
        DAYOUTPUTSMALL = #{dayoutputsmall,jdbcType=DECIMAL},
      </if>
      <if test="dayoutputsmallmin != null">
        DAYOUTPUTSMALLMIN = #{dayoutputsmallmin,jdbcType=DECIMAL},
      </if>
      <if test="dayoutputsmallmax != null">
        DAYOUTPUTSMALLMAX = #{dayoutputsmallmax,jdbcType=DECIMAL},
      </if>
      <if test="dayoutputbig != null">
        DAYOUTPUTBIG = #{dayoutputbig,jdbcType=DECIMAL},
      </if>
      <if test="dayoutputbigmin != null">
        DAYOUTPUTBIGMIN = #{dayoutputbigmin,jdbcType=DECIMAL},
      </if>
      <if test="dayoutputbigmax != null">
        DAYOUTPUTBIGMAX = #{dayoutputbigmax,jdbcType=DECIMAL},
      </if>
      <if test="monthinputsmall != null">
        MONTHINPUTSMALL = #{monthinputsmall,jdbcType=DECIMAL},
      </if>
      <if test="monthinputsmallmin != null">
        MONTHINPUTSMALLMIN = #{monthinputsmallmin,jdbcType=DECIMAL},
      </if>
      <if test="monthinputsmallmax != null">
        MONTHINPUTSMALLMAX = #{monthinputsmallmax,jdbcType=DECIMAL},
      </if>
      <if test="monthinputbig != null">
        MONTHINPUTBIG = #{monthinputbig,jdbcType=DECIMAL},
      </if>
      <if test="monthinputbigmin != null">
        MONTHINPUTBIGMIN = #{monthinputbigmin,jdbcType=DECIMAL},
      </if>
      <if test="monthinputbigmax != null">
        MONTHINPUTBIGMAX = #{monthinputbigmax,jdbcType=DECIMAL},
      </if>
      <if test="monthoutputsmall != null">
        MONTHOUTPUTSMALL = #{monthoutputsmall,jdbcType=DECIMAL},
      </if>
      <if test="monthoutputsmallmin != null">
        MONTHOUTPUTSMALLMIN = #{monthoutputsmallmin,jdbcType=DECIMAL},
      </if>
      <if test="monthoutputsmallmax != null">
        MONTHOUTPUTSMALLMAX = #{monthoutputsmallmax,jdbcType=DECIMAL},
      </if>
      <if test="monthoutputbig != null">
        MONTHOUTPUTBIG = #{monthoutputbig,jdbcType=DECIMAL},
      </if>
      <if test="monthoutputbigmin != null">
        MONTHOUTPUTBIGMIN = #{monthoutputbigmin,jdbcType=DECIMAL},
      </if>
      <if test="monthoutputbigmax != null">
        MONTHOUTPUTBIGMAX = #{monthoutputbigmax,jdbcType=DECIMAL},
      </if>
      <if test="yearinputsmall != null">
        YEARINPUTSMALL = #{yearinputsmall,jdbcType=DECIMAL},
      </if>
      <if test="yearinputsmallmin != null">
        YEARINPUTSMALLMIN = #{yearinputsmallmin,jdbcType=DECIMAL},
      </if>
      <if test="yearinputsmallmax != null">
        YEARINPUTSMALLMAX = #{yearinputsmallmax,jdbcType=DECIMAL},
      </if>
      <if test="yearinputbig != null">
        YEARINPUTBIG = #{yearinputbig,jdbcType=DECIMAL},
      </if>
      <if test="yearinputbigmin != null">
        YEARINPUTBIGMIN = #{yearinputbigmin,jdbcType=DECIMAL},
      </if>
      <if test="yearinputbigmax != null">
        YEARINPUTBIGMAX = #{yearinputbigmax,jdbcType=DECIMAL},
      </if>
      <if test="yearoutputsmall != null">
        YEAROUTPUTSMALL = #{yearoutputsmall,jdbcType=DECIMAL},
      </if>
      <if test="yearoutputsmallmin != null">
        YEAROUTPUTSMALLMIN = #{yearoutputsmallmin,jdbcType=DECIMAL},
      </if>
      <if test="yearoutputsmallmax != null">
        YEAROUTPUTSMALLMAX = #{yearoutputsmallmax,jdbcType=DECIMAL},
      </if>
      <if test="yearoutputbig != null">
        YEAROUTPUTBIG = #{yearoutputbig,jdbcType=DECIMAL},
      </if>
      <if test="yearoutputbigmin != null">
        YEAROUTPUTBIGMIN = #{yearoutputbigmin,jdbcType=DECIMAL},
      </if>
      <if test="yearoutputbigmax != null">
        YEAROUTPUTBIGMAX = #{yearoutputbigmax,jdbcType=DECIMAL},
      </if>
      <if test="inputsmall != null">
        INPUTSMALL = #{inputsmall,jdbcType=DECIMAL},
      </if>
      <if test="inputsmallmin != null">
        INPUTSMALLMIN = #{inputsmallmin,jdbcType=DECIMAL},
      </if>
      <if test="inputsmallmax != null">
        INPUTSMALLMAX = #{inputsmallmax,jdbcType=DECIMAL},
      </if>
      <if test="inputbig != null">
        INPUTBIG = #{inputbig,jdbcType=DECIMAL},
      </if>
      <if test="inputbigmin != null">
        INPUTBIGMIN = #{inputbigmin,jdbcType=DECIMAL},
      </if>
      <if test="inputbigmax != null">
        INPUTBIGMAX = #{inputbigmax,jdbcType=DECIMAL},
      </if>
      <if test="outputsmall != null">
        OUTPUTSMALL = #{outputsmall,jdbcType=DECIMAL},
      </if>
      <if test="outputsmallmin != null">
        OUTPUTSMALLMIN = #{outputsmallmin,jdbcType=DECIMAL},
      </if>
      <if test="outputsmallmax != null">
        OUTPUTSMALLMAX = #{outputsmallmax,jdbcType=DECIMAL},
      </if>
      <if test="outputbig != null">
        OUTPUTBIG = #{outputbig,jdbcType=DECIMAL},
      </if>
      <if test="outputbigmin != null">
        OUTPUTBIGMIN = #{outputbigmin,jdbcType=DECIMAL},
      </if>
      <if test="outputbigmax != null">
        OUTPUTBIGMAX = #{outputbigmax,jdbcType=DECIMAL},
      </if>
      <if test="dayinputsmallratio != null">
        DAYINPUTSMALLRATIO = #{dayinputsmallratio,jdbcType=DECIMAL},
      </if>
      <if test="dayoutputsmallratio != null">
        DAYOUTPUTSMALLRATIO = #{dayoutputsmallratio,jdbcType=DECIMAL},
      </if>
      <if test="dayinputbigratio != null">
        DAYINPUTBIGRATIO = #{dayinputbigratio,jdbcType=DECIMAL},
      </if>
      <if test="dayoutputbigratio != null">
        DAYOUTPUTBIGRATIO = #{dayoutputbigratio,jdbcType=DECIMAL},
      </if>
      <if test="monthinputsmallratio != null">
        MONTHINPUTSMALLRATIO = #{monthinputsmallratio,jdbcType=DECIMAL},
      </if>
      <if test="monthoutputsmallratio != null">
        MONTHOUTPUTSMALLRATIO = #{monthoutputsmallratio,jdbcType=DECIMAL},
      </if>
      <if test="monthinputbigratio != null">
        MONTHINPUTBIGRATIO = #{monthinputbigratio,jdbcType=DECIMAL},
      </if>
      <if test="monthoutputbigratio != null">
        MONTHOUTPUTBIGRATIO = #{monthoutputbigratio,jdbcType=DECIMAL},
      </if>
      <if test="yearinputsmallratio != null">
        YEARINPUTSMALLRATIO = #{yearinputsmallratio,jdbcType=DECIMAL},
      </if>
      <if test="yearoutputsmallratio != null">
        YEAROUTPUTSMALLRATIO = #{yearoutputsmallratio,jdbcType=DECIMAL},
      </if>
      <if test="yearinputbigratio != null">
        YEARINPUTBIGRATIO = #{yearinputbigratio,jdbcType=DECIMAL},
      </if>
      <if test="yearoutputbigratio != null">
        YEAROUTPUTBIGRATIO = #{yearoutputbigratio,jdbcType=DECIMAL},
      </if>
      <if test="inputsmallratio != null">
        INPUTSMALLRATIO = #{inputsmallratio,jdbcType=DECIMAL},
      </if>
      <if test="outputsmallratio != null">
        OUTPUTSMALLRATIO = #{outputsmallratio,jdbcType=DECIMAL},
      </if>
      <if test="inputbigratio != null">
        INPUTBIGRATIO = #{inputbigratio,jdbcType=DECIMAL},
      </if>
      <if test="outputbigmaxratio != null">
        OUTPUTBIGMAXRATIO = #{outputbigmaxratio,jdbcType=DECIMAL},
      </if>
      <if test="windpowerstationid != null">
        WINDPOWERSTATIONID = #{windpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="projectid != null">
        PROJECTID = #{projectid,jdbcType=VARCHAR},
      </if>
      <if test="lineid != null">
        LINEID = #{lineid,jdbcType=VARCHAR},
      </if>
    </set>
    where ID = #{id,jdbcType=INTEGER}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.gyee.frame.model.auto.Inputoroutputspeedtotal">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update inputoroutputspeedtotal
    set WINDTURBINEID = #{windturbineid,jdbcType=VARCHAR},
      RECORDDATE = #{recorddate,jdbcType=TIMESTAMP},
      DAYINPUTSMALL = #{dayinputsmall,jdbcType=DECIMAL},
      DAYINPUTSMALLMIN = #{dayinputsmallmin,jdbcType=DECIMAL},
      DAYINPUTSMALLMAX = #{dayinputsmallmax,jdbcType=DECIMAL},
      DAYINPUTBIG = #{dayinputbig,jdbcType=DECIMAL},
      DAYINPUTBIGMIN = #{dayinputbigmin,jdbcType=DECIMAL},
      DAYINPUTBIGMAX = #{dayinputbigmax,jdbcType=DECIMAL},
      DAYOUTPUTSMALL = #{dayoutputsmall,jdbcType=DECIMAL},
      DAYOUTPUTSMALLMIN = #{dayoutputsmallmin,jdbcType=DECIMAL},
      DAYOUTPUTSMALLMAX = #{dayoutputsmallmax,jdbcType=DECIMAL},
      DAYOUTPUTBIG = #{dayoutputbig,jdbcType=DECIMAL},
      DAYOUTPUTBIGMIN = #{dayoutputbigmin,jdbcType=DECIMAL},
      DAYOUTPUTBIGMAX = #{dayoutputbigmax,jdbcType=DECIMAL},
      MONTHINPUTSMALL = #{monthinputsmall,jdbcType=DECIMAL},
      MONTHINPUTSMALLMIN = #{monthinputsmallmin,jdbcType=DECIMAL},
      MONTHINPUTSMALLMAX = #{monthinputsmallmax,jdbcType=DECIMAL},
      MONTHINPUTBIG = #{monthinputbig,jdbcType=DECIMAL},
      MONTHINPUTBIGMIN = #{monthinputbigmin,jdbcType=DECIMAL},
      MONTHINPUTBIGMAX = #{monthinputbigmax,jdbcType=DECIMAL},
      MONTHOUTPUTSMALL = #{monthoutputsmall,jdbcType=DECIMAL},
      MONTHOUTPUTSMALLMIN = #{monthoutputsmallmin,jdbcType=DECIMAL},
      MONTHOUTPUTSMALLMAX = #{monthoutputsmallmax,jdbcType=DECIMAL},
      MONTHOUTPUTBIG = #{monthoutputbig,jdbcType=DECIMAL},
      MONTHOUTPUTBIGMIN = #{monthoutputbigmin,jdbcType=DECIMAL},
      MONTHOUTPUTBIGMAX = #{monthoutputbigmax,jdbcType=DECIMAL},
      YEARINPUTSMALL = #{yearinputsmall,jdbcType=DECIMAL},
      YEARINPUTSMALLMIN = #{yearinputsmallmin,jdbcType=DECIMAL},
      YEARINPUTSMALLMAX = #{yearinputsmallmax,jdbcType=DECIMAL},
      YEARINPUTBIG = #{yearinputbig,jdbcType=DECIMAL},
      YEARINPUTBIGMIN = #{yearinputbigmin,jdbcType=DECIMAL},
      YEARINPUTBIGMAX = #{yearinputbigmax,jdbcType=DECIMAL},
      YEAROUTPUTSMALL = #{yearoutputsmall,jdbcType=DECIMAL},
      YEAROUTPUTSMALLMIN = #{yearoutputsmallmin,jdbcType=DECIMAL},
      YEAROUTPUTSMALLMAX = #{yearoutputsmallmax,jdbcType=DECIMAL},
      YEAROUTPUTBIG = #{yearoutputbig,jdbcType=DECIMAL},
      YEAROUTPUTBIGMIN = #{yearoutputbigmin,jdbcType=DECIMAL},
      YEAROUTPUTBIGMAX = #{yearoutputbigmax,jdbcType=DECIMAL},
      INPUTSMALL = #{inputsmall,jdbcType=DECIMAL},
      INPUTSMALLMIN = #{inputsmallmin,jdbcType=DECIMAL},
      INPUTSMALLMAX = #{inputsmallmax,jdbcType=DECIMAL},
      INPUTBIG = #{inputbig,jdbcType=DECIMAL},
      INPUTBIGMIN = #{inputbigmin,jdbcType=DECIMAL},
      INPUTBIGMAX = #{inputbigmax,jdbcType=DECIMAL},
      OUTPUTSMALL = #{outputsmall,jdbcType=DECIMAL},
      OUTPUTSMALLMIN = #{outputsmallmin,jdbcType=DECIMAL},
      OUTPUTSMALLMAX = #{outputsmallmax,jdbcType=DECIMAL},
      OUTPUTBIG = #{outputbig,jdbcType=DECIMAL},
      OUTPUTBIGMIN = #{outputbigmin,jdbcType=DECIMAL},
      OUTPUTBIGMAX = #{outputbigmax,jdbcType=DECIMAL},
      DAYINPUTSMALLRATIO = #{dayinputsmallratio,jdbcType=DECIMAL},
      DAYOUTPUTSMALLRATIO = #{dayoutputsmallratio,jdbcType=DECIMAL},
      DAYINPUTBIGRATIO = #{dayinputbigratio,jdbcType=DECIMAL},
      DAYOUTPUTBIGRATIO = #{dayoutputbigratio,jdbcType=DECIMAL},
      MONTHINPUTSMALLRATIO = #{monthinputsmallratio,jdbcType=DECIMAL},
      MONTHOUTPUTSMALLRATIO = #{monthoutputsmallratio,jdbcType=DECIMAL},
      MONTHINPUTBIGRATIO = #{monthinputbigratio,jdbcType=DECIMAL},
      MONTHOUTPUTBIGRATIO = #{monthoutputbigratio,jdbcType=DECIMAL},
      YEARINPUTSMALLRATIO = #{yearinputsmallratio,jdbcType=DECIMAL},
      YEAROUTPUTSMALLRATIO = #{yearoutputsmallratio,jdbcType=DECIMAL},
      YEARINPUTBIGRATIO = #{yearinputbigratio,jdbcType=DECIMAL},
      YEAROUTPUTBIGRATIO = #{yearoutputbigratio,jdbcType=DECIMAL},
      INPUTSMALLRATIO = #{inputsmallratio,jdbcType=DECIMAL},
      OUTPUTSMALLRATIO = #{outputsmallratio,jdbcType=DECIMAL},
      INPUTBIGRATIO = #{inputbigratio,jdbcType=DECIMAL},
      OUTPUTBIGMAXRATIO = #{outputbigmaxratio,jdbcType=DECIMAL},
      WINDPOWERSTATIONID = #{windpowerstationid,jdbcType=VARCHAR},
      PROJECTID = #{projectid,jdbcType=VARCHAR},
      LINEID = #{lineid,jdbcType=VARCHAR}
    where ID = #{id,jdbcType=INTEGER}
  </update>


  <select id="getInputoroutputspeedtotal"  resultType="com.gyee.frame.model.custom.SingleAnalysisVo">
    select WINDTURBINEID,avg(dayinputsmall)   xfqr,avg(dayinputsmallratio)   xfqrhgl
    from Inputoroutputspeedtotal
    where   Windpowerstationid = #{wpId} and Recorddate >= #{beginDate} and Recorddate &lt; #{endDate}
    group by WINDTURBINEID ORDER BY WINDTURBINEID
  </select>

  <select id="getInputoroutputspeedtotalByWtId"  resultType="com.gyee.frame.model.custom.SingleAnalysisVo">
    select WINDTURBINEID,avg(dayinputsmall)   xfqr,avg(dayinputsmallratio)   xfqrhgl
    from Inputoroutputspeedtotal
    where   WINDTURBINEID = #{wtId} and Recorddate >= #{beginDate} and Recorddate &lt; #{endDate}
    group by WINDTURBINEID

  </select>

</mapper>